<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvGrid - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>

  <style>
    .nv-grid-col > p {
      background-color: #8a2be2;
      border-radius: 4px;
      color: #fff;
      padding: 1.25rem 0;
      text-align: center;
    }

    .nv-grid-col .box {
      background-color: #8a2be2;
      border-radius: 4px;
      padding: 1.25rem 0;
    }

    .nv-grid-col .box > p {
      color: #fff;
    }
  </style>

</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Grid</h1>
      <h3>Default</h3>

      <div class="nv-grid-row">
        <div class="nv-grid-col">
          <p>First column</p>
        </div>
        <div class="nv-grid-col">
          <p>Second column</p>
        </div>
        <div class="nv-grid-col">
          <p>Third column</p>
        </div>
        <div class="nv-grid-col">
          <p>Fourth column</p>
        </div>
      </div>
    </div>

    <div class="area-component">
      <h3>Smart size</h3>
      <p>Use the .nv-smart modifier for make the column to only take the space it needs</p>

      <div class="nv-grid">
        <div class="nv-grid-row">
          <div class="nv-grid-col nv-grid-smart">
            <div class="box" style="width: 350px;">
              <p class="nv-p-1">Smart column</p>
              <p class="nv-p-1">This column is only 350px wide.</p>
            </div>
          </div>
          <div class="nv-grid-col">
            <div class="box">
              <p class="nv-p-1">Flexible column</p>
              <p class="nv-p-1">This column will take up the remaining space available.</p>
            </div>
          </div>
        </div>
      </div>

    </div>

    <div class="area-component">
      <h3>Mobile columns</h3>

      <div class="nv-grid-row nv-sm">
        <div class="nv-grid-col"><p>1</p></div>
        <div class="nv-grid-col"><p>2</p></div>
        <div class="nv-grid-col"><p>3</p></div>
        <div class="nv-grid-col"><p>4</p></div>
      </div>

    </div>

    <div class="area-component">
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-1">
          <p>nv-grid-col-1</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-2">
          <p>nv-grid-col-2</p>
        </div>
      </div>
    
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-3">
          <p>nv-grid-col-3</p>
        </div>
      </div>
    
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-4">
          <p>nv-grid-col-4</p>
        </div>
      </div>
      
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-5">
          <p>nv-grid-col-5</p>
        </div>
      </div>
    
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-6">
          <p>nv-grid-col-6</p>
        </div>
      </div>
    
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-7">
          <p>nv-grid-col-7</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-8">
          <p> nv-grid-col-8</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-9">
          <p>nv-grid-col-9</p>
        </div>
      </div>
    
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-10">
          <p>nv-grid-col-10</p>
        </div>
        <div class="nv-grid-col">
          <p>1</p>
        </div>
        <div class="nv-grid-col">
          <p>1</p>
        </div>
      </div>
    </div>


    <div class="area-component">
      <h3>Offset</h3>

      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-1">
          <p>nv-grid-col-offset-1</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-2">
          <p>nv-grid-col-offset-2</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-3">
          <p>nv-grid-col-offset-3</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-4">
          <p>nv-grid-col-offset-4</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-5">
          <p>nv-grid-col-offset-5</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-6">
          <p>nv-grid-col-offset-6</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-7">
          <p>nv-grid-col-offset-7</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-8">
          <p>nv-grid-col-offset-8</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-9">
          <p>nv-grid-col-offset-9</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-10">
          <p>nv-grid-col-offset-10</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-11">
          <p>nv-grid-col-offset-11</p>
        </div>
      </div>
      <div class="nv-grid-row">
        <div class="nv-grid-col nv-grid-col-offset-12">
          <p>nv-grid-col-offset-12</p>
        </div>
      </div>
    </div>

    <div class="area-component">
      <h3>Multiline</h3>
      <div class="nv-grid">
        <div class="nv-grid-row nv-grid-multiline">
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-3"><p>Column</p></div>
        </div>
      </div>
    </div>

    <div class="area-component">
      <h3>Alignment</h3>
      <h4>Vertical</h4>
      <div class="nv-grid">
        <div class="nv-grid-row nv-align-items-start" style="min-height: 200px;">
          <div class="nv-grid-col"><p>Column</p></div>
          <div class="nv-grid-col"><p>Column</p></div>
          <div class="nv-grid-col"><p>Column</p></div>
        </div>
        <div class="nv-grid-row nv-align-items-center" style="min-height: 200px;">
          <div class="nv-grid-col"><p>Column</p></div>
          <div class="nv-grid-col"><p>Column</p></div>
          <div class="nv-grid-col"><p>Column</p></div>
        </div>
        <div class="nv-grid-row nv-align-items-end" style="min-height: 200px;">
          <div class="nv-grid-col"><p>Column</p></div>
          <div class="nv-grid-col"><p>Column</p></div>
          <div class="nv-grid-col"><p>Column</p></div>
        </div>
        <div class="nv-grid-row" style="min-height: 200px;">
          <div class="nv-grid-col nv-align-self-start"><p>Column</p></div>
          <div class="nv-grid-col nv-align-self-center"><p>Column</p></div>
          <div class="nv-grid-col nv-align-self-end"><p>Column</p></div>
        </div>
      </div>

      <h4>Horizontal</h4>

      <div class="nv-grid">
        <div class="nv-grid-row nv-justify-content-start">
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
        </div>
        <div class="nv-grid-row nv-justify-content-center">
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
        </div>
        <div class="nv-grid-row nv-justify-content-end">
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
        </div>
        <div class="nv-grid-row nv-justify-content-around">
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
        </div>
        <div class="nv-grid-row nv-justify-content-between">
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
          <div class="nv-grid-col nv-grid-col-4"><p>Column</p></div>
        </div>
      </div>
    </div>

    <div class="area-component">
      <h3>no margin</h3>

      <div class="nv-grid-row nv-grid-no-edge-margin">
        <div class="nv-grid-col">
          <p>First column</p>
        </div>
        <div class="nv-grid-col">
          <p>Second column</p>
        </div>
        <div class="nv-grid-col">
          <p>Third column</p>
        </div>
        <div class="nv-grid-col">
          <p>Fourth column</p>
        </div>
      </div>
    </div>
  </div>
</body>
</html>
 